<?php
/**
 * Link Manager 2 template for categories admin panel.
 *
 * (c)2012 mrdragonraaar.com
 */
if (!defined('IN_GS')) { die('you cannot load this page directly.'); }

$categories = $lm2->categories();

?>
<!-- Title -->
<h3 class="floated"><?php i18n(LM2_PLUGIN_ID . '/CATEGORIES'); ?></h3>
<!-- END Title -->

<!-- Add New Category -->
<div class="edit-nav clearfix">
<a href="<?php echo $lm2::category_edit_url(); ?>"><?php i18n(LM2_PLUGIN_ID . '/NEW_CATEGORY'); ?></a>
</div>
<!-- END Add New Category -->

<?php if (empty($categories)) { ?>
<!-- No Categories -->
<p><?php i18n(LM2_PLUGIN_ID . '/NO_CATEGORIES'); ?></p>
<!-- END No Categories -->
<?php } else { ?>
<!-- Categories -->
<table id="categories" class="highlight">
<tr>
	<th><?php i18n(LM2_PLUGIN_ID . '/ID'); ?></th>
	<th><?php i18n(LM2_PLUGIN_ID . '/CATEGORY'); ?></th>
	<th></th>
</tr>
<tbody>
<?php foreach ($categories as $id => $category) { ?>
<!-- <?php echo $category->name; ?> -->
<tr rel="<?php echo $category->name; ?>">
	<!-- ID -->
	<td>
	<span>#<?php echo $id; ?></span>
	</td>
	<!-- END ID -->
	<!-- Name -->
	<td>
	<a href="<?php echo $lm2::category_edit_url($id); ?>" title="<?php i18n(LM2_PLUGIN_ID . '/EDIT_CATEGORY'); ?>: <?php echo $category->name; ?>">
	<?php echo $category->name; ?>
	</a>
	</td>
	<!-- END Name -->
	<!-- Delete -->
	<td class="delete">
	<a href="<?php echo $lm2::category_delete_url($id); ?>" class="delconfirm" title="<?php i18n(LM2_PLUGIN_ID . '/DELETE_CATEGORY'); ?>: <?php echo $category->name; ?>?">
	X
	</a>
	</td>
	<!-- END Delete -->
</tr>
<!-- END <?php echo $category->name; ?> -->
<?php } ?>
</tbody>
</table>
<!-- END Categories -->
<?php } ?>
