<?php
/**
 * Link Manager 2 template for admin message.
 *
 * (c)2012 mrdragonraaar.com
 */
if (!defined('IN_GS')) { die('you cannot load this page directly.'); }

$msg = $success ? i18n_r(LM2_PLUGIN_ID . '/SUCCESS_SAVE') : i18n_r(LM2_PLUGIN_ID . '/ERROR_SAVE');
$undo = $success ? true : false;

if ($lm2::is_undo_page())
{
	$msg = $success ? i18n_r(LM2_PLUGIN_ID . '/SUCCESS_RESTORE') : i18n_r(LM2_PLUGIN_ID . '/ERROR_RESTORE');
	$undo = false;
}

if ($lm2::is_post_link_order())
{
	$msg = $success ? i18n_r(LM2_PLUGIN_ID . '/SUCCESS_SAVE') : i18n_r(LM2_PLUGIN_ID . '/ERROR_SAVE');
	$undo = $success ? true : false;
}

if ($undo)
{
	$msg .= ' <a href="' . 
	   ($lm2::is_link_page() ? 
	      $lm2::link_undo_url() : 
	      $lm2::category_undo_url()) . 
	   '">' . i18n_r('UNDO') . '</a>';
}
?>
<script type="text/javascript">
$(function() {
	$('div.bodycontent').before('<div class="<?php echo $success ? 'updated' : 'error'; ?>" style="display:block;">' +
	   <?php echo json_encode($msg); ?> + '</div>');
	$(".updated, .error").fadeOut(500).fadeIn(500);
});
</script>
