<?php
/**
 * Link Manager 2 template for categories edit panel.
 *
 * (c)2012 mrdragonraaar.com
 */
if (!defined('IN_GS')) { die('you cannot load this page directly.'); }

$id = $lm2::edit_id();
$category = $lm2->edit_category();

?>
<!-- Title -->
<?php if (isset($category)) { ?>
<h3><?php i18n(LM2_PLUGIN_ID . '/EDIT_CATEGORY'); ?></h3>
<?php } else { ?>
<h3><?php i18n(LM2_PLUGIN_ID . '/NEW_CATEGORY'); ?></h3>
<?php } ?>
<!-- END Title -->

<!-- Edit Category Form -->
<form class="largeform" id="edit" action="<?php echo $lm2::category_url(); ?>" method="post" accept-charset="utf-8">
<!-- ID -->
<?php if (isset($category)) { ?>
<p><input name="category-id" type="hidden" value="<?php echo $id; ?>" /></p>
<?php } ?>
<!-- END ID -->
<!-- Name -->
<p>
<label for="category-name"><?php i18n(LM2_PLUGIN_ID . '/CATEGORY'); ?>:</label>
<input class="text required" name="category-name" id="category-name" type="text" value="<?php if (isset($category)) { echo $category->name; } ?>" />
</p>
<!-- END Name -->
<p>
<!-- Submit -->
<input class="submit" type="submit" name="category" value="<?php i18n(LM2_PLUGIN_ID . '/SAVE_CATEGORY'); ?>" />
<!-- END Submit -->
&nbsp;&nbsp;
<?php i18n(LM2_PLUGIN_ID . '/OR'); ?>
&nbsp;&nbsp;
<!-- Cancel -->
<a href="<?php echo $lm2::category_cancel_url(); ?>" class="cancel"><?php i18n(LM2_PLUGIN_ID . '/CANCEL'); ?></a>
<!-- END Cancel -->
<!-- Delete -->
<?php if (isset($category)) { ?>
/
<a href="<?php echo $lm2::category_delete_url($id); ?>" class="cancel">
<?php i18n(LM2_PLUGIN_ID . '/DELETE'); ?>
</a>
<?php } ?>
<!-- END Delete -->
</p>
</form>
<!-- END Edit Category Form -->
